package com.nifty.cloud.ncs.service;

/**
 * CompleteMultipartUploadResultの結果保持用クラスです。
 */
public class CompleteMultipartUploadResult
{
	private String bucketName;
	private String objectName;
	private String location;
	private String eTag;

	/**
	 * バケット名を取得します。
	 *
	 * @return バケット名
	 */
	public String getBucketName()
	{
		return (bucketName);
	}

	/**
	 * バケット名を設定します。
	 *
	 * @param bucketName
	 *  バケット名
	 */
	public void setBucketName(String bucketName)
	{
		this.bucketName = bucketName;
	}

	/**
	 * オブジェクト名を取得します。
	 *
	 * @return オブジェクト名
	 */
	public String getObjectName()
	{
		return (objectName);
	}

	/**
	 * オブジェクト名を設定します。
	 *
	 * @param objectName
	 *  オブジェクト名
	 */
	public void setObjectName(String objectName)
	{
		this.objectName = objectName;
	}

	/**
	 * アップロードロケーションを取得します。
	 *
	 * @return アップロードロケーション
	 */
	public String getLocation()
	{
		return (location);
	}

	/**
	 * アップロードロケーションを設定します。
	 *
	 * @param location
	 *  アップロードロケーション
	 */
	public void setLocation(String location)
	{
		this.location = location;
	}

	/**
	 * ETagを取得します。
	 *
	 * @return ETag
	 */
	public String getETag()
	{
		return (eTag);
	}

	/**
	 * ETagを設定します。
	 *
	 * @param eTag
	 *  ETag
	 */
	public void setETag(String eTag)
	{
		this.eTag = eTag;
	}

}
